# $Revision: 1.30 $, $Date: 2012/07/07 11:23:09 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	Library to create and read several different archive formats
Summary(pl.UTF-8):	Biblioteka do tworzenia i odczytu różnych formatów archiwów
Name:		libarchive
Version:	3.0.3
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/libarchive/downloads/list
Source0:	http://libarchive.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	ca4090f0099432a9ac5a8b6618dc3892
Patch0:		%{name}-man_progname.patch
URL:		http://people.freebsd.org/~kientzle/libarchive/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
#BuildRequires:	autoconf >= 2.65
#BuildRequires:	automake
BuildRequires:	bzip2-devel
# for <ext2fs/ext2_fs.h>
BuildRequires:	e2fsprogs-devel
#BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	nettle-devel
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular TAR
variants and several CPIO formats. It can also write SHAR archives.

%description -l pl.UTF-8
Libarchive jest biblioteką służacą to tworzenia i odczytu wielu
różnych strumieniowych formatów archiwów, włączając w to popularne
odmiany TAR oraz wiele formatów CPIO. Biblioteka ta potrafi także
zapisywać archiwa SHAR.

%package devel
Summary:	Header files for libarchive library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libarchive
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	bzip2-devel
Requires:	libxml2-devel
Requires:	nettle-devel
Requires:	xz-devel
Requires:	zlib-devel

%description devel
Header files for libarchive library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libarchive.

%package static
Summary:	Static libarchive library
Summary(pl.UTF-8):	Statyczna biblioteka libarchive
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libarchive library.

%description static -l pl.UTF-8
Statyczna biblioteka libarchive.

%package -n bsdcpio
Summary:	bsdcpio - cpio(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdcpio - implementacja programu cpio(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdcpio
bsdcpio - cpio(1) implementation based on libarchive.

%description -n bsdcpio -l pl.UTF-8
bsdcpio - implementacja programu cpio(1), oparta na libarchive.

%package -n bsdtar
Summary:	bsdtar - tar(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdtar - implementacja programu tar(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdtar
bsdtar - tar(1) implementation based on libarchive.

%description -n bsdtar -l pl.UTF-8
bsdtar - implementacja programu tar(1), oparta na libarchive.

%prep
%setup -q
%patch0 -p1

%build
#%%{__libtoolize}
#%%{__aclocal}
#%%{__autoconf}
#%%{__autoheader}
#%%{__automake}
%configure \
	--enable-bsdcpio=shared \
	--enable-bsdtar=shared \
	--enable-static%{!?with_static_libs:=no}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libarchive.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so
%{_libdir}/libarchive.la
%{_includedir}/archive*.h
%{_mandir}/man3/archive_*.3*
%{_mandir}/man3/libarchive.3*
%{_mandir}/man3/libarchive_internals.3*
%{_mandir}/man5/libarchive-formats.5*
%{_mandir}/man5/cpio.5*
%{_mandir}/man5/mtree.5*
%{_mandir}/man5/tar.5*
%{_pkgconfigdir}/libarchive.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libarchive.a
%endif

%files -n bsdcpio
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdcpio
%{_mandir}/man1/bsdcpio.1*

%files -n bsdtar
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libarchive.spec,v $
Revision 1.30  2012/07/07 11:23:09  hawk
- release 2

Revision 1.29  2012/01/14 07:04:47  qboosh
- updated to 3.0.3

Revision 1.28  2012/01/02 16:23:40  qboosh
- updated to 3.0.2 (note: new soname)
- nettle is now prefered over openssl and covers md5 (instead of libmd5; upstream change)
- build bsdcpio and bsdtar dynamically linked with libarchive even if libarchive.a is built

Revision 1.27  2011/09/05 21:03:40  kiesiu
- updated to 2.8.5

Revision 1.26  2010/12/12 00:59:58  arekm
- release 4

Revision 1.25  2010/12/11 23:05:58  arekm
- release 3

Revision 1.24  2010/11/10 19:52:18  qboosh
- download URL
- verbose include/man files

Revision 1.23  2010/10/29 16:59:41  hawk
- release 2

Revision 1.22  2010/08/09 14:51:52  megabajt
- updated to 2.8.4
- added bsdcpio package

Revision 1.21  2010/05/19 22:49:48  sparky
- release: 4 (STBR, because of missing R)
- BR: libmd5-devel, libxml2-devel, openssl-devel, xz-devel
- dropped unused BR: sharutils
- devel R: openssl-devel, xz-devel

Revision 1.20  2010/04/11 06:27:42  arekm
- release 3

Revision 1.19  2010/03/28 21:47:34  shadzik
- rel 2

Revision 1.18  2010/03/28 21:44:42  shadzik
- 2.8.3

Revision 1.17  2009/06/09 09:29:24  amateja
- updated to 2.6.0

Revision 1.16  2008/06/09 22:10:47  glen
- release 2

Revision 1.15  2008-05-10 14:58:16  areq
- 2.4.17

Revision 1.14  2008-02-16 12:01:24  rotom
- up to 2.4.12

Revision 1.13  2008-01-04 00:55:41  zbyniu
- up to 2.4.11

Revision 1.12  2007-12-27 00:23:30  zbyniu
- up to 2.4.9

Revision 1.11  2007-10-29 23:10:56  twittner
- up to 2.3.5

Revision 1.10  2007/10/27 22:33:25  areq
- 2.3.4

Revision 1.9  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.7  2006/12/13 22:12:46  glen
- rel 1

Revision 1.6  2006/11/15 10:41:28  qboosh
- BR: acl-devel,attr-devel
- devel deps

Revision 1.5  2006/11/08 22:22:25  twittner
- up to 1.3.1
- added BR: e2fsprogs-devel
- added -CVE-2006-5680.patch agains entering in infinite
  loop in corrupt archives
- added bsdtar package (bsdtar is included now in libarchive
  sources)
- rel. 0.1 for testing

Revision 1.4  2005/12/15 18:26:36  twittner
- up to 1.2.37
- removed -shared.patch (no longer needed)

Revision 1.3  2005/10/05 17:00:12  arekm
- up to 1.02.034

Revision 1.2  2005/07/27 20:17:21  qboosh
- typo

Revision 1.1  2005/07/27 08:36:03  adamg
- new
